Search deviances by event

Returns the deviances associated with the specified event in the specified security profile and directory.

Requires the ioe license type. See License Types.

Requires the Read permission on the Profiles, Forests, Domains, and Indicators of Exposure entities (read:profile, read:infrastructure, read:directory, read:checker). See Identity Exposure Permissions.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
^[0-9]+$

Specifies the ID of the security profile.

string
required
^[0-9]+$

Specifies the ID of the infrastructure (forest).

string
required
^[0-9]+$

Specifies the ID of the directory (domain).

string
required
^[0-9]+$

Specifies the ID of the event.

Query Params
string
^[0-9]+$

Specifies the maximum number of deviances to return per page.

string
^[0-9]+$

Specifies the page of results to return. The first page is 1.

Body Params

Validates POST /profiles/:profileId/infrastructures/:infrastructureId/directories/:directoryId/events/:eventId/deviances request payload

checkers
array of integers
required

Filters results to deviances from the specified checkers.

checkers*
reasons
array of integers
required

Filters results to deviances for the specified reasons.

reasons*
Responses

401

Returned if the API key specified in your request is invalid.

500

Returned if an internal error occurred.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json